import * as dotenv from 'dotenv';
import * as querystring from 'querystring';
import axios from 'axios';

dotenv.config();

export const verifyCaptcha = async (captcha_token: string): Promise<boolean> => {
    var postData = querystring.stringify({
        response: captcha_token,
        secret: process.env.HCAPTCHA_SECRET
    });

    axios.post('https://hcaptcha.com/siteverify', postData)
        .then(res => {
            return res.data.success;
        })
        .catch(error => {
            throw(error);
        });

    return false;
};
